Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1237091 - VMs / Instances search box is not available (visible) when custom logo is in use
VMs / Instances search box is not available (visible) when custom logo is in use
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Harpreet Kataria
Pete Savage
: ZStream
Depends On:
Blocks: 1254328 1258519
  Show dependency treegraph
 
Reported: 2015-06-30 06:52 EDT by Fabien Dupont
Modified: 2015-12-08 08:20 EST (History)
11 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1254328 1258519 (view as bug list)
Environment:
Last Closed: 2015-12-08 08:20:01 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2551 normal SHIPPED_LIVE Moderate: CFME 5.5.0 bug fixes and enhancement update 2015-12-08 12:58:09 EST

  None (edit)
Description Fabien Dupont 2015-06-30 06:52:41 EDT
Description of problem:

After upgrading to CloudForms 3.4, the search box is nowhere to be found when accessing the instances or virtual machines.

Version-Release number of selected component (if applicable): 


How reproducible: always


Steps to Reproduce:
1. Go to menu Cloud > Instances

Actual results:

There is no search box in the upper right corner, nor anywhere else.

Expected results:

A search box is in the upper right corner.

Additional info:

Looks like : http://talk.manageiq.org/t/search-function/778
Comment 3 Fabien Dupont 2015-06-30 09:57:02 EDT
Oups, I meant after upgrading to CloudForms 3.2, aka CFME 5.4.

BTW, on a brand new appliance, e.g. not upgraded from 3.1, the search box is there. So it seems that upgrade is quite regressive.
Comment 6 Dave Johnson 2015-07-02 17:36:42 EDT
So this is not update related?
Comment 7 Dave Johnson 2015-07-02 17:37:49 EDT
Jan, can you take a look at this one and see if you can retest on your next upgrade test.
Comment 8 Fabien Dupont 2015-07-03 01:40:35 EDT
My perception is that it is not upgrade related. I have experienced the same behaviour on either freshly installed or upgraded appliances.
Comment 11 Jan Krocil 2015-07-03 03:53:34 EDT
Could you also try accessing the appliance in anonymous browser mode, please, to see if there is any difference?
Comment 12 Fabien Dupont 2015-07-03 04:08:38 EDT
I tested with Firefox & Chrome on Fedora 22 (2160x1440).
My customer tested with Chrome and Internet Explorer on Windows 7 (1920x1080).

I won't be able to test again until Monday.
Comment 27 CFME Bot 2015-08-17 22:26:52 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/1bf57b353438706c75efce2b28af458a44179a2e

commit 1bf57b353438706c75efce2b28af458a44179a2e
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Mon Aug 17 13:41:15 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Mon Aug 17 13:41:15 2015 -0400

    Fixed positioning of whitelabeled class
    
    Fixed positioning of whitelabeled class that is used when user has a custom logo in place, this was causing search box to not appear in right place.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1237091

 app/views/stylesheets/_template50.html.haml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 28 CFME Bot 2015-08-18 18:07:55 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8b4214b0e5805b2ec769be8a58b3ddaab9ef572a

commit 8b4214b0e5805b2ec769be8a58b3ddaab9ef572a
Merge: 0f21f7c f340e52
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Aug 18 14:18:16 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Tue Aug 18 14:18:16 2015 -0400

    Merge branch '54z_bz_1254328' into '5.4.z'
    
    Fixed positioning of whitelabeled class
    
    Fixed positioning of whitelabeled class that is used when user has a custom logo in place, this was causing search box to not appear in right place.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1237091
    https://bugzilla.redhat.com/show_bug.cgi?id=1254328
    
    @dclarizio please review, clean patch from upstream was applied.
    original PR: https://github.com/ManageIQ/manageiq/pull/3899
    
    See merge request !229

 vmdb/app/views/stylesheets/_template50.html.haml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 29 CFME Bot 2015-08-18 18:08:02 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=f340e522e96d10676b1e870221d581f81c9c4773

commit f340e522e96d10676b1e870221d581f81c9c4773
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Aug 18 10:10:49 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Aug 18 10:56:22 2015 -0400

    Fixed positioning of whitelabeled class
    
    Fixed positioning of whitelabeled class that is used when user has a custom logo in place, this was causing search box to not appear in right place.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1237091
    https://bugzilla.redhat.com/show_bug.cgi?id=1254328

 vmdb/app/views/stylesheets/_template50.html.haml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 30 CFME Bot 2015-08-18 18:08:43 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=f340e522e96d10676b1e870221d581f81c9c4773

commit f340e522e96d10676b1e870221d581f81c9c4773
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Aug 18 10:10:49 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Aug 18 10:56:22 2015 -0400

    Fixed positioning of whitelabeled class
    
    Fixed positioning of whitelabeled class that is used when user has a custom logo in place, this was causing search box to not appear in right place.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1237091
    https://bugzilla.redhat.com/show_bug.cgi?id=1254328

 vmdb/app/views/stylesheets/_template50.html.haml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 31 CFME Bot 2015-08-18 18:09:16 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8b4214b0e5805b2ec769be8a58b3ddaab9ef572a

commit 8b4214b0e5805b2ec769be8a58b3ddaab9ef572a
Merge: 0f21f7c f340e52
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Aug 18 14:18:16 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Tue Aug 18 14:18:16 2015 -0400

    Merge branch '54z_bz_1254328' into '5.4.z'
    
    Fixed positioning of whitelabeled class
    
    Fixed positioning of whitelabeled class that is used when user has a custom logo in place, this was causing search box to not appear in right place.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1237091
    https://bugzilla.redhat.com/show_bug.cgi?id=1254328
    
    @dclarizio please review, clean patch from upstream was applied.
    original PR: https://github.com/ManageIQ/manageiq/pull/3899
    
    See merge request !229

 vmdb/app/views/stylesheets/_template50.html.haml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 32 CFME Bot 2015-08-18 18:11:10 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=8b4214b0e5805b2ec769be8a58b3ddaab9ef572a

commit 8b4214b0e5805b2ec769be8a58b3ddaab9ef572a
Merge: 0f21f7c f340e52
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue Aug 18 14:18:16 2015 -0400
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Tue Aug 18 14:18:16 2015 -0400

    Merge branch '54z_bz_1254328' into '5.4.z'
    
    Fixed positioning of whitelabeled class
    
    Fixed positioning of whitelabeled class that is used when user has a custom logo in place, this was causing search box to not appear in right place.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1237091
    https://bugzilla.redhat.com/show_bug.cgi?id=1254328
    
    @dclarizio please review, clean patch from upstream was applied.
    original PR: https://github.com/ManageIQ/manageiq/pull/3899
    
    See merge request !229

 vmdb/app/views/stylesheets/_template50.html.haml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 33 CFME Bot 2015-08-18 18:11:34 EDT
New commit detected on cfme/5.4.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=f340e522e96d10676b1e870221d581f81c9c4773

commit f340e522e96d10676b1e870221d581f81c9c4773
Author:     Harpreet Kataria <hkataria@redhat.com>
AuthorDate: Tue Aug 18 10:10:49 2015 -0400
Commit:     Harpreet Kataria <hkataria@redhat.com>
CommitDate: Tue Aug 18 10:56:22 2015 -0400

    Fixed positioning of whitelabeled class
    
    Fixed positioning of whitelabeled class that is used when user has a custom logo in place, this was causing search box to not appear in right place.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1237091
    https://bugzilla.redhat.com/show_bug.cgi?id=1254328

 vmdb/app/views/stylesheets/_template50.html.haml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)
Comment 34 Pete Savage 2015-10-05 12:25:09 EDT
Verified in 5.5.0.3-alpha1.2.20150929172214
Comment 36 errata-xmlrpc 2015-12-08 08:20:01 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.